Skip to main content
GET
/
v4
/
clientMgmt
/
client
Get a client
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v4/clientMgmt/client \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "business": {
      "id": "<string>",
      "companyId": "<string>",
      "companyIdLong": 123,
      "customerPartnerId": 123,
      "name": "<string>",
      "showName": true,
      "contactFirst": "<string>",
      "contactLast": "<string>",
      "showContactFirstLast": true,
      "email": "<string>",
      "showEmail": true,
      "phoneWork": "<string>",
      "showPhoneWork": true,
      "address1": "<string>",
      "address2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zip": "<string>",
      "showAddress": true,
      "tin": "<string>",
      "invoicePrefix": "<string>",
      "plaidApiEntityIds": "<string>",
      "status": "ACTIVE",
      "apiName": "GOOGLELOGIN",
      "apiClientId": "<string>",
      "bizType": "ADVISOR_COACH",
      "labelId": 123,
      "createdDate": "2023-11-07T05:31:56Z",
      "idPrefix": "COMPANY",
      "nameColumnNameForPagination": "<string>",
      "externalId": "<string>"
    },
    "isDefault": true,
    "companyId": "<string>",
    "name": "<string>",
    "additionalContactName": "<string>",
    "showName": true,
    "businessName": "<string>",
    "showBusinessName": true,
    "status": "OPEN",
    "budgetAmount": 123,
    "type": "TIME_BASED",
    "apiName": "GOOGLELOGIN",
    "apiClientId": "<string>",
    "email": "<string>",
    "showEmail": true,
    "phoneWork": "<string>",
    "showPhoneWork": true,
    "clientAddress1": "<string>",
    "clientAddress2": "<string>",
    "clientCity": "<string>",
    "clientState": "<string>",
    "clientZip": "<string>",
    "showAddress": true,
    "invoicePrefix": "<string>",
    "ccemails": "<string>",
    "bccemails": "<string>",
    "idPrefix": "COMPANY",
    "nameForPagination": "<string>",
    "invoiceRecipientInfoDefaults": {
      "showClientEmail": true,
      "showClientName": true,
      "showClientBusinessName": true,
      "showClientAddress": true,
      "showClientPhoneWork": true
    },
    "nameColumnNameForPagination": "<string>",
    "externalId": "<string>"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

id
string
default:""
required

Id of the specific client

Response

200 - application/json

Successful operation

id
string
business
object
isDefault
boolean
companyId
string
name
string
additionalContactName
string
showName
boolean
businessName
string
showBusinessName
boolean
status
enum<string>
Available options:
OPEN,
COMPLETED,
CANCELED,
ARCHIVED
budgetAmount
number
type
enum<string>
Available options:
TIME_BASED,
FIXED_PRICE,
BUYER,
SELLER,
TENANT,
REA_OTHER
apiName
enum<string>
Available options:
GOOGLELOGIN,
LINKEDINLOGIN,
DROPBOX,
BOX,
SKYDRIVE,
CLOVER,
STRIPE,
GOOGLESTORAGE,
GOOGLECONTACTS,
GOOGLEEMAIL,
LINKEDINCONTACTS,
PLAID,
KNOX,
UBER,
FACEBOOKLOGIN,
FRESHBOOKS,
HARVEST,
KW,
FRESHBOOKS2,
CAPITAL_ONE,
SQUARE,
S3,
DOTLOOP,
XERO_DEPRECATED,
REALOGY,
UPWORK,
SHOPIFY,
DEDUCTR,
ENTERPRISE,
MOXIWORKS,
STRIPE_EXPRESS,
APPLELOGIN,
APPDIRECT,
LONEWOLF,
USER_IMPORTED,
LONEWOLF_TRANSACTIONDESK,
SAMPLE_BANK,
TAXBOT,
THIRD_PARTY_BANK,
GUSTO,
THIRD_PARTY_PAYMENTS,
XERO,
UNIT,
USER_ENTRY,
MOOV,
QBO,
COLUMN,
QUALPAY,
BENCH,
PARTNER_IMPLEMENTATION,
CHECK,
RUTTER,
WAVE,
ADYEN,
APRIL
apiClientId
string
email
string
showEmail
boolean
phoneWork
string
showPhoneWork
boolean
clientAddress1
string
clientAddress2
string
clientCity
string
clientState
string
clientZip
string
showAddress
boolean
invoicePrefix
string
ccemails
string
bccemails
string
idPrefix
enum<string>
Available options:
COMPANY,
EMPLOYEE,
CLASS_SEGMENT,
CLASS_LABEL,
CUSTOMER,
BANK_ACCOUNT,
GL_ACCOUNT,
TRANSACTION_CATEGORY,
BANK_TRANSACTION,
PROCESSOR_TRANSACTION,
TRANSACTION_LINE_ITEM,
VENDOR,
TRANSACTION_RULE,
REVENUE_RULE,
INVOICE,
INVOICE_LINE_ITEM,
BILL,
BILL_LINE_ITEM,
PAYROLL,
PAYROLL_LINE_ITEM,
FINANCIAL_SUMMARY,
TASK,
CONVERSATION,
MESSAGE,
REACTION,
BUSINESS_TYPE,
TEMPLATE_CLASS_LABEL,
TEMPLATE_COA,
TEMPLATE_GL_ACCOUNT,
TEMPLATE_TRANSACTION_RULES,
MANUAL_JOURNAL_ENTRY,
GL_TRANSACTION,
ATTACHMENT,
CAR,
MILEAGE,
INTEGRATION,
TIME,
TIME_TYPE,
TAX_RETURN
nameForPagination
string
invoiceRecipientInfoDefaults
object

Defaults for client information on invoices

nameColumnNameForPagination
string
externalId
string